This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1019379 - Remove top-level pom from dtgov-demos zip
Remove top-level pom from dtgov-demos zip
Status: CLOSED CURRENTRELEASE
Product: JBoss Fuse Service Works 6
Classification: JBoss
Component: DT Governance, Examples (Show other bugs)
6.0.0 GA
Unspecified Unspecified
unspecified Severity urgent
: ER6
: ---
Assigned To: Kurt T Stam
Jiri Sedlacek
:
Depends On: 1017764
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-15 11:15 EDT by Julian Coleman
Modified: 2015-08-02 19:45 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 1017764
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Comment 2 Julian Coleman 2013-10-15 11:29:12 EDT
The top-level pom.xml should be removed from the dtgov-demos zip.  Something like (untested):

diff --git a/dtgov-demos/src/main/assembly/dist.xml b/dtgov-demos/src/main/assembly/dist.xml
index 93814d8..d521aec 100644
--- a/dtgov-demos/src/main/assembly/dist.xml
+++ b/dtgov-demos/src/main/assembly/dist.xml
@@ -12,6 +12,7 @@
                <fileSet>
                        <useDefaultExcludes>true</useDefaultExcludes>
                        <excludes>
+                           <exclude>pom.xml</exclude>
                            <exclude>src/</exclude>
                                <exclude>**/.settings/**</exclude>
                                <exclude>**/.classpath</exclude>
@@ -23,4 +24,4 @@
                        <fileMode>0755</fileMode>
                </fileSet>
        </fileSets>
-</assembly>
\ No newline at end of file
+</assembly>
Comment 3 Kurt T Stam 2013-10-15 11:45:17 EDT
Hi Julian,

I don't believe you can remove it. You still need it for common dependencies, and repository info etc.
Comment 4 Kurt T Stam 2013-10-15 12:14:18 EDT
The DTGov project demos work just fine - and the only difference is that the vmon script runs over it. Assigning this back to Nick. Please let me know how I can help.
Comment 5 Nick Cross 2013-10-15 16:24:14 EDT
Julian is correct.

We utilise the dtgov-distro zip. Looking inside that, it has the demo directory with
dtgov-demos-project/
dtgov-demos-switchyard/
pom.xml

i.e. no src. I can reproduce the same error in community code (i.e. no vman) by attempting to build the dtgov-demos from the distribution zip.
Comment 6 Julian Coleman 2013-10-17 07:10:32 EDT
After further investigation, the real problem is that the dtgov-demos pom.xml is
used at build time to create dtgov-demos.zip distribution and is also contained
in that distribution.  This pom is also referenced in the demos as their parent POM (so must be included in the distribution).  The result is that anyone attempting to run maven against this POM after unpacking the dtgov-demos.zip sees the maven build failure (when trying to create the distribution).

Solutions to this are:

  1) remove the assembly of the dtgov-demos.zip from the dtgov-demos pom.xml and create a conditionally included assembly module to do this (see the SwitchYard quickstarts POM for an example)

  2) move the dtgov-demos.zip creation into a separate module outside the dtgov-demos module heirarchy

1) above is probably simpler
Comment 7 Kurt T Stam 2013-10-17 09:17:35 EDT
3. How about if we simply add the assembly.xml? Seems to make the most sense to me.
Comment 8 Anne-Louise Tangring 2013-10-22 09:47:10 EDT
Resolved by modifying the top level BOM.
Comment 9 Stefan Bunciak 2013-10-22 10:04:29 EDT
Verified in FSW 6.0.0.ER6 (Beta).

Note You need to log in before you can comment on or make changes to this bug.